Skip Menu |
 

This queue is for tickets about the Boost-Graph CPAN distribution.

Report information
The Basics
Id: 80465
Status: open
Priority: 0/
Queue: Boost-Graph

People
Owner: Nobody in particular
Requestors: torta [...] diff.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 1.4
Fixed in: 1.4_001



Subject: Boost::Graph fails to compile with gcc 4.4 and above
Download (untitled) / with headers
text/plain 639b
The version of the BGL C++ library bundled with Boost::Graph does not compile with gcc 4.4 and above. This is a well known problem: http://stackoverflow.com/questions/9631762/error-missing-binary-operator-before-token http://thread.gmane.org/gmane.comp.lib.boost.devel/228802 The problem has been fixed with version 1.51 of the BGL: http://www.boost.org/doc/libs/1_51_0/libs/graph/doc/index.html but unfortunately the version of BGL bundled with Boost::Graph is much older (v1.33) One fix would be to bundle BGL 1.51 with Boost::Graph. Another fix would be to "unbundle" BGL from Boost::Graph and let the user install the new version.
Download (untitled) / with headers
text/plain 1021b
On Mon Oct 29 07:18:13 2012, giatorta wrote: Show quoted text
> The version of the BGL C++ library bundled with Boost::Graph does not > compile with gcc 4.4 and above. > > This is a well known problem: > http://stackoverflow.com/questions/9631762/error-missing-binary- > operator-before-token > http://thread.gmane.org/gmane.comp.lib.boost.devel/228802 > > The problem has been fixed with version 1.51 of the BGL: > http://www.boost.org/doc/libs/1_51_0/libs/graph/doc/index.html > > but unfortunately the version of BGL bundled with Boost::Graph is much > older (v1.33) > > One fix would be to bundle BGL 1.51 with Boost::Graph. > Another fix would be to "unbundle" BGL from Boost::Graph and let the > user install the new version.
A group of us are starting to resolve issues with Boost::Graph. We've got a working version at https://github.com/duffee/Boost-Graph which is going through testing (issues on Mac, bsd & cygwin). The new version prompts for a user supplied BGL, but _could_ ship with BGL 1.55 which is out on Friday.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.